#target bridge
if ( BridgeTalk.appName == "bridge" )
//-----------------------------------------------------------------------
//This script copies selected thumbnails' filenames to the title field 
//Also shows how to add menu items
//The AdobeLibrary scripts must be loaded
//This script was created by John Beardsworth www.beardsworth.co.uk
//This script may be freely distributed and modified
//--------------------------------------------------------------------
{
// Create main menu item
	if (MenuElement.find ('ivIntegration') != null) 
	{
	MenuElement.remove("ivIntegration");
	MenuElement.remove("ivSets_to_LR_Keywords");
	MenuElement.remove("ivTemp");
	}
	
	var menu = new MenuElement( "menu", "iView",  "after Tools", "ivIntegration");
	var ivSets_to_LR_Keywords =  new MenuElement("command", "iView's catalog sets to hierarchical keywords", "at the end of ivIntegration");
	


//-----------------------------------------------------------------------
//Add iView catalog sets as Lightroom keywords
ivSets_to_LR_Keywords.onSelect  = function(){    
  var sels = app.document.selections;   
  for (var i = 0; i < sels.length; i++){

	//loop through the metadata, placing catalog sets and hierarchical keywords into arrays	
	var md = sels[i].synchronousMetadata;   
	md.namespace = "http://ns.iview-multimedia.com/mediapro/1.0/";    
	var ivMediaSets = md.CatalogSets;
	md.namespace = "http://ns.adobe.com/lightroom/1.0/";
	
	//strip any existing catalog sets out of hierarchical keywords
	var lrHierarchicalKeywords = '';
		for (var j = 0; j < md.hierarchicalSubject.length; j++){
		if (md.hierarchicalSubject[j].substr(0,12) !="Catalog Sets")
		lrHierarchicalKeywords += md.hierarchicalSubject[j] +';' ;
		}	
			
	//run through 
	var ivMediaSetString = '';
		for (var j = 0; j < ivMediaSets.length; j++){
		ivMediaSetString += ";Catalog Sets|" + ivMediaSets[j];	
		}	
	md.hierarchicalSubject = lrHierarchicalKeywords  + ivMediaSetString;
	
  }
}


//closing brace
}